.contacts {
    font-size: 18px;
    overflow: visible;
}
.contacts-mapN {
    position: absolute;
    top: -13px;
    right: 0;
    bottom: -12px;
    margin: auto;
    left: 480px;
    border: 1px solid red;
    border-radius: 5px;
    background: #fff;
    overflow: hidden;
}
.contacts,
.feedback {
    padding-right: 25px;
}
.contacts-wrapper {
    width: 420px;
}
.requisites h2 {
    margin-bottom: 50px;
}
.requisites h3 {
  text-transform: uppercase;
  font-size: 20px;
  margin-bottom: 35px;
}
.requisites p {
  margin-bottom: 20px;
  font-size: 20px;
}
.contacts-map {
  position: absolute;
  top: -13px;
  right: 0;
  bottom: -12px;
  margin: auto;
  left: 480px;
  border: 1px solid red;
  border-radius: 5px;
  background: #fff;
  overflow: hidden;
}
.contacts-map-wrapper {
  position: absolute;
  top: -50px;
  left: -50px;
  right: -50px;
  bottom: -50px;
  margin: auto;
}
.contacts-map::before {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  background: rgba(255,255,255,0.75);
  content: '';
  opacity: 0;
}
.contacts-grid {
  display: grid;
  grid-template-columns: 8fr 4fr;
  grid-gap: 30px;
}
.contacts-map::after {
    content:'';
    position: absolute;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
    text-align: center;
    opacity: 0;
}
.contacts-map-wrapper img {
  margin: 51px;
}
.contacts-map-wrapper img {
  position: absolute;
  top: 0;
  left: 50%;
  right: 0;
  bottom: 0;
  margin: auto;
    margin-left: auto;
  min-height: 100%;
  width: auto;
  max-width: unset;
  margin-left: -820px;
}
/*
.contacts-map::after {
    content:'Зажмите Ctrl для перемещения по карте';
    position: absolute;
    bottom: 50px;
    left: 0;
    height: 60px;
    width: 100%;
    text-align: center;
    opacity: 0;
}
.contacts-map:hover::before,
.contacts-map:hover::after {
    z-index: 1;
    opacity: 1;
}
.contacts-map.controlled::after,
.contacts-map.controlled::before {
    display:none;
}
*/
@media screen and (max-width: 1420px) {
    .contacts-grid {
      grid-template-columns: 9fr 6fr;
    }
}
@media screen and (max-width: 1168px) {
    .contacts-grid {
      grid-template-columns: 8fr 7fr;
    }
}
@media screen and (max-width: 970px) {
    .contacts-wrapper {
        width: 100%;
        margin-bottom: 65px;
    }
    .contacts-grid {
      display:block;
    }
    .contacts-map {
      position: relative;
      height: 320px;
      margin: -30px;
      left: 0;
      top: 0;
    }
    .contacts-mapN {
      position: relative;
      height: 320px;
      margin: -30px;
      left: 0;
      top: 0;
    }
    .requisites {
      margin-bottom: 35px;
    }
    .feedback {
      margin-bottom: -35px;
      padding-top: 35px;
      padding-right: 25%;
    }
}
@media screen and (max-width: 760px) {
    .contacts {
      font-size: 14px;
    }
    .contacts-wrapper {
        margin-bottom: 50px;
    }
    .contacts-map {
      position: relative;
      height: 200px;
      margin: -25px;
      left: 5px;
      top: 0;
    }
      .contacts-mapN {
      position: relative;
      height: 200px;
      margin: -25px;
      left: 5px;
      top: 0;
    }
    .requisites {
      margin-bottom: 20px;
    }
    .requisites h3 {
      font-size: 18px;
      margin-bottom: 20px;
    }
    .requisites h2 {
      margin-bottom: 25px;
    }
    .requisites p {
      font-size: 16px;
    }
    .feedback {
      margin-bottom: 0;
      padding-top: 20px;
      padding-right: 15px;
    }
    .contacts-map-wrapper img {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      margin: auto;
      width: unset;
      max-width: 200%;
      min-height: unset;
      margin-left: -53%;
    }
}